List Products
GET
products
Returns a paginated list of Dynamic Content Definitions / Products based on the limit and offset query string parameters specified in the request. If no limit and offset query string parameters are specified, it will return the first 50 Products.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/industrialized-construction/informed-design/v1/products |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read data:write data:create account:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
* Required
Request
Query String Parameters
| accessType* enum:string | The type of integration or service used to determine access context.
Possible values: ACC, BIM360, FUSION, CONTENTCATALOG, BRIDGE, PUBLIC |
| accessId* string | A composite string of identifiers that define the access scope for the given access type. |
| limit int | The number of items per page. |
| offset int | The number of items to skip before starting to collect the result set. |
* Required
Response
HTTP Status Code Summary
| 200 OK | A page of Dynamic Content Definitions / Products was retrieved successfully. |
| 400 Bad Request | The server could not process your request. It is likely due to incorrect formatting or missing information. The response body may indicate what is wrong. Please review and resubmit your request. |
| 401 Unauthorized | The supplied authorization header was invalid or the token scope was not acceptable. Verify your authentication credentials and try again. |
| 403 Forbidden | The request was valid but lacked the necessary permissions. Verify your credentials and permissions before sending the request again. |
| 429 Too Many Requests | The server has received too many requests within the allowed time window. Please wait before retrying. |
| 500 Internal Server Error | An unexpected error occurred on the server. Please try again later. |
Response
Body Structure (200)
Expand all
| pagination object | The pagination metadata. |
| limit number | The maximum number of items per page. |
| offset number | The page number. |
| totalResults number | The total matching results regardless of the limit. |
| nextUrl string | The URL for the next page if the current page is not the last page. |
| previousUrl string | The URL for the previous page if the current page is not the first page. |
| results array: object | List of Products. |
| accessType enum:string | The type of integration or service used to determine access context.
Possible values: ACC, BIM360, FUSION, CONTENTCATALOG, BRIDGE, PUBLIC |
| accessId string | A composite string of identifiers that define the access scope for the given access type. |
| id string: UUID | The unique identifier of Product. |
| name string | The name of the Product |
| authoringApp enum:string | The Authoring application.
Possible values: INVENTOR, FUSION |
| defaultRelease string: UUID | The unique identifier of Release. |
| releaseCount number | The number of Releases for the Product. |
| state enum:string | The state of the Product.
Possible values: AVAILABLE, ARCHIVED |
| isPublic boolean |
|
| publisherId string: UUID | The unique identifier of Publisher. |
| classification string | The classification of the Product.
Max length: 200 |
| description string | The description of the Product.
Max length: 500 |
| tags array: string | The Product tags. |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
Example
A page of Dynamic Content Definitions / Products was retrieved successfully.
Request
curl -v 'https://developer.api.autodesk.com/industrialized-construction/informed-design/v1/products?accessType=ACC&accessId=12345678-1234-1234-1234-1234567890ab|urn:adsk.wipstg:fs.folder:co.ObAD7BpLXdKZiXK_OSJBow&limit=50&offset=1' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"pagination": {
"limit": "",
"offset": "",
"totalResults": "",
"nextUrl": "",
"previousUrl": ""
},
"results": [
{
"accessType": "ACC",
"accessId": "",
"id": "",
"name": "",
"authoringApp": "INVENTOR",
"defaultRelease": "",
"releaseCount": "",
"state": "AVAILABLE",
"isPublic": "",
"publisherId": "",
"classification": "",
"description": "",
"tags": [
""
],
"createdAt": "",
"updatedAt": ""
}
]
}
Show More